Topic: Should package php80-php-pecl-mcrypt exist?

Should the package php80-php-pecl-mcrypt exist in repo or does it need to be installed in some other way?

Re: Should package php80-php-pecl-mcrypt exist?

The extension have been removed from php 7.2 and was provided, from pecl, for legacy applications.

This extension is NOT compatible with PHP 8

And I heartily recommend you read https://blog.remirepo.net/post/2015/07/ … php-mcrypt

In short, using this extension is a terrible idea, and if you really need it, you have to stay with 7.x

But if some one fix it for 8, of course, if will be available in my repo.

Desktop: Fedora 33 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 32 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: Should package php80-php-pecl-mcrypt exist?

In fact was already fixed upstream (but not released)

So I've just uploaded the packages

BTW, read above warning, and avoid it if possible.

Desktop: Fedora 33 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 32 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi